<?php
/**
 * Archives
 *
 * The Archives template is a fallback for dates, categories, tags and author archives.
 *
 * @package WordPress
 * @subpackage San Kloud
 * @version 1.0
 */
 get_header() ?>
<div class="container_12 content">
	<div class="grid_1">&nbsp;</div>		
	<div class="grid_8">
		<h1 class="archive-title">
			<?php if ( is_day() ) : ?>
				<?php printf( __( 'Daily Archives: <span>%s</span>', 'sankloud' ), get_the_date() ); ?>
			<?php elseif ( is_month() ) : ?>
				<?php printf( __( 'Monthly Archives: <span>%s</span>', 'sankloud' ), get_the_date( 'F Y' ) ); ?>
			<?php elseif ( is_year() ) : ?>
				<?php printf( __( 'Yearly Archives: <span>%s</span>', 'sankloud' ), get_the_date( 'Y' ) ); ?>
			<?php elseif ( is_author() ): ?>
				<?php printf( __( 'Author Archives: %s', 'sankloud' ), '<span class="vcard"><a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( "ID" ) ) ) . '" title="' . esc_attr( get_the_author() ) . '" rel="me">' . get_the_author() . '</a></span>' ); ?>
			<?php elseif ( is_category() ): ?>
				<?php printf( __( 'Category Archives: %s', 'sankloud' ), '<span>' . single_cat_title( '', false ) . '</span>' ); ?>
			<?php elseif ( is_tag() ): ?>
				<?php printf( __( 'Tag Archives: %s', 'sankloud' ), '<span>' . single_tag_title( '', false ) . '</span>' ); ?>
			<?php else : ?>
				<?php _e( 'Blog Archives', 'sankloud' ); ?>
			<?php endif; ?>
		</h1>
		<?php if ( have_posts() ): ?>
			
			<?php while ( have_posts() ): the_post(); ?>
			
				<?php get_template_part( 'content', 'archive' ); ?>
			
			<?php endwhile; ?>
		
		<?php else : ?>
			
			<p><?php _e( 'No posts were found matching your criteria. Please try a different search.' ); ?></p>
			
		<?php endif; ?>
		<div class="left"><?php next_posts_link(__('&larr; Older posts', 'sankloud')); ?></div>
		<div class="right"><?php previous_posts_link(__('Newer posts &rarr;', 'sankloud')); ?></div>
	</div>
	
<?php get_sidebar();?>
<?php get_footer();?>