<?php 
/*
 * San Kloud functions and definitions
 */
	if(!isset( $content_width))
	$content_width = 540;
	
	add_action( 'after_setup_theme', 'sunkloud_setup');
	
	if ( ! function_exists( 'sunkloud_setup' ) ):
		
		function sunkloud_setup() {
			
			load_theme_textdomain( 'sunkloud', TEMPLATEPATH . '/languages' );
			
			// Load up our theme options page and related code.
			require( dirname( __FILE__ ) . '/inc/theme-options.php' );

			// Editor style for TinyMCE.
			add_editor_style();
		
			add_theme_support( 'automatic-feed-links' );
			add_theme_support( 'post-formats', array( 'aside', 'link', 'gallery', 'status', 'quote', 'image', 'chat', 'video', 'audio' ) );
			add_theme_support( 'post-thumbnails' );
			register_nav_menu( 'primary', __( 'Primary Menu', 'sunkloud' ) );
		}
		
	endif;
	
	function sankloud_register_sidebars() {
		register_sidebar(array(
			'before_widget' => '<div class="widget">',
			'after_widget' => '</div>',
			'before_title' => '<p class="heading">',
			'after_title' => '</p>',
		));
	}
	
	add_action( 'widgets_init', 'sankloud_register_sidebars' );
	
	function comment_walker($comment, $args, $depth) {
		$GLOBALS['comment'] = $comment;
		switch ($comment->comment_type):
			case'':
		?>
		<li <?php comment_class(); ?>>
			<div class="comment-wrapper" id="comment-<?php comment_ID(); ?>">
				<div class="comment-body">
					<p class="comment-author-name">
						<?php echo get_comment_author_link(); ?>
					</p>
					
					<p class="comment-author-meta">
						<a href="<?php echo esc_url(get_comment_link($comment->comment_ID)); ?>">
						<?php
							/* translators: 1: date, 2:time*/
							printf(__('%1$s at %2$s', 'sankloud'), get_comment_date(), get_comment_time()); ?></a><?php edit_comment_link(__('(Edit)', 'sankloud'), ' ');
						?>
					</p>
					
					<?php if($comment->comment_approved == '0'): ?>
						<em><?php _e('Your comment is awaiting moderation.', 'sankloud'); ?></em>
					<?php endif; ?>
					<div class="comment-body-text"><?php comment_text(); ?></div>
					<div class="reply">
						<?php comment_reply_link(array_merge($args, array('depth' => $depth, 'max_depth' => $args['max_depth']))); ?>
					</div><!-- .reply -->
					<br class="clear" />
				</div>
				<div class="reply-wrapper">
					&nbsp;
				</div>
				<br class="clear" />
			</div><!-- #comment-## -->
		<!--</li>-->
		
		<?php
				break;
			case 'pingback':
			case 'trackback':
		?>
		<li class="post pingpack">
			<p><?php _e('Pingback:', 'sankloud'); ?> <?php comment_author_link(); ?> <?php edit_comment_link(__('(Edit)', 'sankloud'), ' '); ?></p>
		</li>
		<?php
				break;
		endswitch;
	}
?>