<?php
/**
 * The Header for our theme.
 *
 * @package WordPress
 * @subpackage San Kloud
 * @since 1.0
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>" />
		<title>
			<?php
				global $page, $paged;
				wp_title( '|', true, 'right' );
				bloginfo( 'name' );
				$site_description = get_bloginfo( 'description', 'display' );
				if ( $site_description && ( is_home() || is_front_page() ) )
					echo " | $site_description";
				if ( $paged >= 2 || $page >= 2 )
					echo ' | ' . sprintf( __( 'Page %s', 'sankloud' ), max( $paged, $page ) );
			?>
		</title>
		<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/css/reset.css" />
		<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/css/960.css" />
		<link rel="stylesheet" type="text/css" href="<?php bloginfo("stylesheet_url") ?>" />
		<link rel='stylesheet' type='text/css' href='http://fonts.googleapis.com/css?family=Hammersmith+One&v2'>
		<link rel='stylesheet' type='text/css' href='http://fonts.googleapis.com/css?family=Kreon:300,700&v2'>
		<link rel='stylesheet' type='text/css' href='http://fonts.googleapis.com/css?family=Arvo:700&v2'>
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
		<?php
			if ( is_singular() && get_option( 'thread_comments') ) { wp_enqueue_script( 'comment-reply' ); }
			wp_head();
		?>
	</head>
	<body <?php body_class(); ?>>
		<div class="page-wrapper">
			<div class="container_12 header">
				<div class="grid_1"> &nbsp; </div>
				<div class="grid_11">
					<div class="nav-menu">
						<?php wp_nav_menu(); ?>
					</div>
				</div>
				<br class="clear" />
				<div class="grid_12 site-title-wrapper">
					<div class="site-title">
						<div class="site-title-left">&nbsp;
						</div><div class="site-title-middle">
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
							<a class="site-description" href="<?php echo home_url(); ?>" id="description"><?php bloginfo('description'); ?></a>
						</div><div class="site-title-right">
							&nbsp;
						</div>
					</div>
				</div>
				<br class="clear" />
			</div>