<?php
/**
 * Search
 *
 * Displays the search results in a different fashion than the archive
 *
 * @package WordPress
 * @subpackage San Kloud
 * @version 1.0
 */
 
get_header() ?>
<div class="container_12 content">
	<div class="grid_1">&nbsp;</div>		
	<div class="grid_8">
		<h2 class="archive-title">
			<?php printf(__('Search Results for: %s', 'sankloud' ), '<span>' . get_search_query() . '</span>'); ?>
		</h2>
		<?php if (have_posts()) : ?>
			<?php while ( have_posts() ) : the_post(); ?>
				
				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<div class="page-content" style="text-align: justify; position: relative;">		
						<div class="page-title">
							<h2>
								<a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'sankloud' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a>
							</h2>
						</div>
						<?php the_excerpt(); ?>
						<br class="clear">
						<div class="comment-count"><a href="<?php the_permalink(); ?>"><?php the_permalink(); ?></a></div>
						<br class="clear">
					</div>
					<div class="page-bottom" style="position: relative;">
					</div>
				</div>
				
			<?php endwhile; // end of the loop. ?>
		<?php else : ?>
			<div id="page" class="page">
				<div class="page-content" style="text-align: justify; position: relative;">	
					<h4>
						<?php _e( 'No posts were found matching your criteria. Please try a different search.' ); ?>
					</h4>
					<br class="clear">
				</div>
				<div class="page-bottom" style="position: relative;">
				</div>
			</div>
		<?php endif; ?>
		<div class="left"><?php next_posts_link(__('&larr; Older posts', 'sankloud')); ?></div>
		<div class="right"><?php previous_posts_link(__('Newer posts &rarr;', 'sankloud')); ?></div>
	</div>
	
<?php get_sidebar();?>
<?php get_footer();?>